# Generated from active_elastic_job-3.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name active_elastic_job

Name: rubygem-%{gem_name}
Version: 3.2.0
Release: 1%{?dist}
Summary: Active Elastic Job is a simple to use Active Job backend for Rails applications deployed on the Amazon Elastic Beanstalk platform
License: MIT
URL: https://github.com/active-elastic-job/active-elastic-job
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(amazing_print) >= 1.2
# BuildRequires: rubygem(amazing_print) < 2
# BuildRequires: rubygem(benchmark-ips) >= 2.8
# BuildRequires: rubygem(benchmark-ips) < 3
# BuildRequires: rubygem(bootsnap) >= 1.9
# BuildRequires: rubygem(bootsnap) < 2
# BuildRequires: rubygem(byebug) >= 11.1
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(climate_control) >= 0.2
# BuildRequires: rubygem(climate_control) < 1
# BuildRequires: rubygem(dotenv) >= 2.7
# BuildRequires: rubygem(dotenv) < 3
# BuildRequires: rubygem(fuubar) >= 2.5
# BuildRequires: rubygem(fuubar) < 3
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(sprockets-rails) >= 3.4
# BuildRequires: rubygem(sprockets-rails) < 4
# BuildRequires: rubygem(sqlite3) >= 1.4
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
Run background jobs / tasks of Rails applications deployed in Amazon Elastic
Beanstalk environments. Active Elastic Job is an Active Job backend which is
easy to setup. No need for customised container commands or other workarounds.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/active-elastic-job.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 3.2.0-1
- Initial package
